/***************************************************************************
	eXynth GUI library
	(C) 2010 Anti Sullin / Artec Design <anti.sullin@artecdesign.ee>

	Based on xynth library:
    (C) 2003 - 2008 by Alper Akcan <distchx@yahoo.com>
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU Lesser General Public License as        *
 *   published by the Free Software Foundation; either version 2.1 of the  *
 *   License, or (at your option) any later version.                       *
 *                                                                         *
 ***************************************************************************/

#ifndef INPUT_H_
#define INPUT_H_

#if defined(__cplusplus)
	extern "C" {
#endif

int s_input_init(void);
int s_input_uninit(void);
void s_input_wakeup(void);
void s_input_selfpipe_flush(void);
void * s_input_loop (void *arg);

int input_keypad_init (void);
void input_keypad_uninit (void);
void input_keypad_update (void);
void input_keyboard_parse_submit(int key, int value);

int input_touch_init (void);
void input_touch_uninit (void);
void input_touch_update ();
void input_touch_parse (int x, int y, int b);
void input_touch_submit (s_event_t *event);

#if defined(__cplusplus)
	}
#endif

#endif /* INPUT_H_ */
