#ifndef _GPIO_KEYB_H
#define _GPIO_KEYB_H

struct gpio_keyb_direct_button {
  int keycode;
  int gpio_input;
  int active_low_input;
  char *desc;
};

struct gpio_keyb_matrix_button {
  int keycode;
  char *desc;
};

struct gpio_keyb_matrix_row {
  struct gpio_keyb_matrix_button *buttons;
  int gpio_output;
  int active_low_output;
};

struct gpio_keyb_matrix_col {
  int gpio_input;
  int active_low_input;
};

struct gpio_keyb_platform_data {
  struct gpio_keyb_direct_button *buttons;
  int n_direct_buttons;
  struct gpio_keyb_matrix_row *rows;
  int n_matrix_rows;
  struct gpio_keyb_matrix_col *cols;
  int n_matrix_cols;  
};

#endif
