#ifndef WDT_H_
#define WDT_H_

// IOCTL interface for WDT
#define WDT_ENABLE_RST 0xEF01 // enable automatic watchdog resetting with 1s delay (default)
#define WDT_DISABLE_RST 0xEF00 // disable automatic watchdog resetting
#define WDT_RESET 0xEF02 // reset watchdog


struct wdt_rst_key {
  int gpio_input;
  int active_low_input;
};

struct wdt_platform_data {
	struct wdt_rst_key *rst_keys;
	int num_rst_keys;
};

#endif /*WDT_H_*/
